package com.ruoyi.test.seriver;

import com.ruoyi.test.domain.DO.QuestionbankDO;
import com.ruoyi.test.domain.ExamCreate;
import com.ruoyi.test.domain.ExamPaper;
import com.ruoyi.test.domain.Questionbank;

import java.util.List;

public interface IExamCreateService {

    List<Questionbank> selectByPid(Long pid);

    List<Questionbank> selectListByPid(Long pid);

    //增加题目
    int addPaperCreate(Long id,Long pid);
    //删除题目
    int deletePaperCreate(Long id,Long pid);
    //试卷显示
    List<QuestionbankDO> selectPaperCreate(Long pid);

//    Integer total(List<ExamPaper> list);
    Integer total(Long pid);
}
